> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List spec-draft trainable models

> Lists Hugging Face models supported for spec-draft training with their billing price bucket.



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v1/fine_tuning/models/spec-draft
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260714-68e88e75b
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/fine_tuning/models/spec-draft:
    get:
      tags:
        - fine-tuning
      summary: List spec-draft trainable models
      description: >-
        Lists Hugging Face models supported for spec-draft training with their
        billing price bucket.
      operationId: list_spec_draft_trainable_models_v1_fine_tuning_models_spec_draft_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpecDraftTrainableModelsResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    SpecDraftTrainableModelsResponse:
      properties:
        models:
          items:
            $ref: '#/components/schemas/SpecDraftTrainableModel'
          type: array
          title: Models
      type: object
      required:
        - models
      title: SpecDraftTrainableModelsResponse
    SpecDraftTrainableModel:
      properties:
        hf_repo_name:
          type: string
          title: Hf Repo Name
        price:
          $ref: '#/components/schemas/SpecDraftTrainingPrice'
      type: object
      required:
        - hf_repo_name
        - price
      title: SpecDraftTrainableModel
    SpecDraftTrainingPrice:
      properties:
        sku_id:
          type: string
          title: Sku Id
        value:
          type: number
          title: Value
      type: object
      required:
        - sku_id
        - value
      title: SpecDraftTrainingPrice
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````